com.r3corda.core.transactions / LedgerTransaction / verify

# verify

`fun verify(): Unit`

Verifies this transaction and throws an exception if not valid, depending on the type. For general transactions:

- The contracts are run with the transaction as the input.

- The list of keys mentioned in commands is compared against the signers list.

### Exceptions

`TransactionVerificationException` - if anything goes wrong.